[hidden]{
    display:none !important;
}

*{
    --bg-color: #0e0906;
    --bg-secondary-color: #3C2A21;
    --text-color: #E5E5CB;
}

body{
    margin: 0 0 0 0;
    background-color: var(--bg-color);
    color: #E5E5CB;
    font-family: Arial, Helvetica, sans-serif;
}

a{
    color:#D5CEA3;
    text-decoration: none;
}

main{
    width: 100%;
    height: 100%;
}

button{
    color: var(--text-color);
    border: 1px solid var(--text-color);
    background-color: var(--bg-secondary-color);
    font-size: medium;
    text-align: center;
    cursor: pointer;
    border-radius: 5px;
    min-height: 40px;
}

#connect{
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;

    gap: 10px;

    align-items: center;
    justify-content: center;

    margin-left: auto;
    margin-right: auto;
    width: 80%;
    text-align: center;

    margin-bottom: 15px;
}

#board{
    margin-left: auto;
    margin-right: auto;

    margin-bottom: 20px;
}

#codeBox{
    margin-left: auto;
    margin-right: auto;
    
    text-align: center;
    width: 80%;
}

.infoTxt{
    margin-left: auto;
    margin-right: auto;
    
    text-align: center;
    font-size: 3rem;
}

#playerConnection{
    margin-left: auto;
    margin-right: auto;
    
    text-align: center;
}

#nextRoundBtn{
    margin-bottom: 10px;
}

#board td{
    border: 1px solid var(--text-color);
    height: 100px;
    width: 100px;
    text-align: center;
    font-size: 4rem;

    cursor: pointer;
}

.heading{
    text-align: center;
}

#confettiCanvas{
    pointer-events: none;
    position: fixed;
    top: 0px;
    left: 0px;

    width: 100%;
    height: 100%;
}

@media only screen 
and (max-width : 400px) {
  button{
    width: 100%;
  }

  .infoTxt{
    font-size: 2rem;
  }

  #nextRoundBtn{
    width: 80%;
  }
}
